chain_api.push_block
disabled
The chain_api plugin is defined in source but not enabled on public nodes; the namespace is not registered.
Purpose
Inserisce (push) un blocco (block) nel nodo.
Parametri: block:object (un blocco firmato); currently_syncing:bool (facoltativo, di default false)
Restituisce success:bool e, in caso di fallimento, un error:string.
Parameters
PARAMETERS
json
{
"block": {},
"currently_syncing": false
}⚠ Definito nel codice sorgente di steem, ma non abilitato sui nodi pubblici.
Example
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "chain_api.push_block",
"params": {
"block": {},
"currently_syncing": false
},
"id": 1
}'Response
RESPONSE
json
{
"success": true,
"error": null
}Expected curl responses
EXPECTED RESPONSES
text
Could not find API chain_api